# CloudDetail

Cloud detail endpoints

## GET /v3/cloud/provider/uc/setting

> Get all Ubisoft cloud settings

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CloudDetail","description":"Cloud detail endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UCSetting":{"type":"object","required":["id","projectId","regionName","publicNetworkId","privateNetworkId","securityGroupId","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"Ubisoft Cloud network setting id","readOnly":true},"projectId":{"type":"string","format":"","description":"Ubisoft Cloud project id"},"regionName":{"type":"string","format":"","description":"Ubisoft Cloud region name"},"publicNetworkId":{"type":"string","format":"","description":"Ubisoft Cloud public network UUID id e.g: (b091a99e-abdd-11ea-bb37-0242ac130002)"},"privateNetworkId":{"type":"string","format":"","description":"Ubisoft Cloud private network UUID id e.g: (d80e2d7e-aa38-490e-915c-bb56222911c3)"},"securityGroupId":{"type":"string","format":"","description":"Ubisoft Cloud security group id e.g: (0ec61726-405c-4919-b9a1-9dcd6ae56077)"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/provider/uc/setting":{"get":{"tags":["CloudDetail"],"summary":"Get all Ubisoft cloud settings","operationId":"getCloudProviderUcSettings","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UCSetting"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/cloud/provider/uc/setting

> Create Ubisoft cloud settings

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CloudDetail","description":"Cloud detail endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UCSetting":{"type":"object","required":["id","projectId","regionName","publicNetworkId","privateNetworkId","securityGroupId","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"Ubisoft Cloud network setting id","readOnly":true},"projectId":{"type":"string","format":"","description":"Ubisoft Cloud project id"},"regionName":{"type":"string","format":"","description":"Ubisoft Cloud region name"},"publicNetworkId":{"type":"string","format":"","description":"Ubisoft Cloud public network UUID id e.g: (b091a99e-abdd-11ea-bb37-0242ac130002)"},"privateNetworkId":{"type":"string","format":"","description":"Ubisoft Cloud private network UUID id e.g: (d80e2d7e-aa38-490e-915c-bb56222911c3)"},"securityGroupId":{"type":"string","format":"","description":"Ubisoft Cloud security group id e.g: (0ec61726-405c-4919-b9a1-9dcd6ae56077)"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/provider/uc/setting":{"post":{"tags":["CloudDetail"],"summary":"Create Ubisoft cloud settings","operationId":"createCloudProviderUcSetting","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UCSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UCSetting"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/cloud/provider/uc/setting/{ucSettingId}

> Get the detail of a Ubisoft cloud setting

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CloudDetail","description":"Cloud detail endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UCSetting":{"type":"object","required":["id","projectId","regionName","publicNetworkId","privateNetworkId","securityGroupId","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"Ubisoft Cloud network setting id","readOnly":true},"projectId":{"type":"string","format":"","description":"Ubisoft Cloud project id"},"regionName":{"type":"string","format":"","description":"Ubisoft Cloud region name"},"publicNetworkId":{"type":"string","format":"","description":"Ubisoft Cloud public network UUID id e.g: (b091a99e-abdd-11ea-bb37-0242ac130002)"},"privateNetworkId":{"type":"string","format":"","description":"Ubisoft Cloud private network UUID id e.g: (d80e2d7e-aa38-490e-915c-bb56222911c3)"},"securityGroupId":{"type":"string","format":"","description":"Ubisoft Cloud security group id e.g: (0ec61726-405c-4919-b9a1-9dcd6ae56077)"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/provider/uc/setting/{ucSettingId}":{"get":{"tags":["CloudDetail"],"summary":"Get the detail of a Ubisoft cloud setting","operationId":"getCloudProviderUcSetting","parameters":[{"name":"ucSettingId","in":"path","description":"The Id of the Ubisoft cloud setting","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UCSetting"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid ucSettingId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/cloud/provider/uc/setting/{ucSettingId}

> Update the detail of a Ubisoft cloud setting

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CloudDetail","description":"Cloud detail endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UCSetting":{"type":"object","required":["id","projectId","regionName","publicNetworkId","privateNetworkId","securityGroupId","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"Ubisoft Cloud network setting id","readOnly":true},"projectId":{"type":"string","format":"","description":"Ubisoft Cloud project id"},"regionName":{"type":"string","format":"","description":"Ubisoft Cloud region name"},"publicNetworkId":{"type":"string","format":"","description":"Ubisoft Cloud public network UUID id e.g: (b091a99e-abdd-11ea-bb37-0242ac130002)"},"privateNetworkId":{"type":"string","format":"","description":"Ubisoft Cloud private network UUID id e.g: (d80e2d7e-aa38-490e-915c-bb56222911c3)"},"securityGroupId":{"type":"string","format":"","description":"Ubisoft Cloud security group id e.g: (0ec61726-405c-4919-b9a1-9dcd6ae56077)"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/provider/uc/setting/{ucSettingId}":{"put":{"tags":["CloudDetail"],"summary":"Update the detail of a Ubisoft cloud setting","operationId":"updateCloudProviderUcSetting","parameters":[{"name":"ucSettingId","in":"path","description":"The Id of the Ubisoft cloud setting","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UCSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UCSetting"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid ucSettingId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/cloud/provider/uc/setting/{ucSettingId}

> Delete a given Ubisoft cloud setting

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CloudDetail","description":"Cloud detail endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/cloud/provider/uc/setting/{ucSettingId}":{"delete":{"tags":["CloudDetail"],"summary":"Delete a given Ubisoft cloud setting","operationId":"deleteCloudProviderUcSetting","parameters":[{"name":"ucSettingId","in":"path","description":"The Id of the Ubisoft cloud setting","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid ucSettingId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/clouddetail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
